Index: admin/media.php
===================================================================
--- admin/media.php	(revision 3731)
+++ admin/media.php	(revision 3874)
@@ -14,5 +14,5 @@
 $post_id = !empty($_REQUEST['post_id']) ? (integer) $_REQUEST['post_id'] : null;
 if ($post_id) {
-    $post = $core->blog->getPosts(array('post_id' => $post_id, 'post_type' => ''));
+    $post = $core->blog->getPosts(['post_id' => $post_id, 'post_type' => '']);
     if ($post->isEmpty()) {
         $post_id = null;
@@ -58,10 +58,10 @@
 
 # Sort combo
-$sort_combo = array(
+$sort_combo = [
     __('By names, in ascending order')  => 'name-asc',
     __('By names, in descending order') => 'name-desc',
     __('By dates, in ascending order')  => 'date-asc',
     __('By dates, in descending order') => 'date-desc'
-);
+];
 
 if (!empty($_GET['file_mode'])) {
@@ -90,5 +90,5 @@
 $select = !empty($_REQUEST['select']) ? (integer) $_REQUEST['select'] : 0; // 0 : none, 1 : single media, >1 : multiple medias
 
-$page_url_params = new ArrayObject(array('popup' => $popup, 'select' => $select, 'post_id' => $post_id, 'link_type' => $link_type));
+$page_url_params = new ArrayObject(['popup' => $popup, 'select' => $select, 'post_id' => $post_id, 'link_type' => $link_type]);
 if ($d) {
     $page_url_params['d'] = $d;
@@ -105,8 +105,8 @@
 
 if ($popup) {
-    $open_f  = array('dcPage', 'openPopup');
-    $close_f = array('dcPage', 'closePopup');
+    $open_f  = ['dcPage', 'openPopup'];
+    $close_f = ['dcPage', 'closePopup'];
 } else {
-    $open_f  = array('dcPage', 'open');
+    $open_f  = ['dcPage', 'open'];
     $close_f = function () {
         dcPage::helpBlock('core_media');
@@ -159,5 +159,5 @@
     if ($f->d) {
         // Folder
-        $link = $core->adminurl->get('admin.media', array_merge($page_url_params, array('d' => html::sanitizeURL($f->relname))));
+        $link = $core->adminurl->get('admin.media', array_merge($page_url_params, ['d' => html::sanitizeURL($f->relname)]));
         if ($f->parent) {
             $fname = '..';
@@ -169,5 +169,5 @@
         // Item
         $params = new ArrayObject(
-            array(
+            [
                 'id'        => $f->media_id,
                 'plugin_id' => $plugin_id,
@@ -176,5 +176,5 @@
                 'post_id'   => $post_id,
                 'link_type' => $link_type
-            )
+            ]
         );
         $core->callBehavior('adminMediaURLParams', $params);
@@ -199,5 +199,5 @@
             } else {
                 // Multiple media selection checkbox
-                $act .= form::checkbox(array('medias[]', 'media_' . rawurlencode($file)), $file);
+                $act .= form::checkbox(['medias[]', 'media_' . rawurlencode($file)], $file);
             }
         } else {
@@ -208,5 +208,5 @@
                 '<a class="attach-media" title="' . __('Attach this file to entry') . '" href="' .
                 $core->adminurl->get("admin.post.media",
-                    array('media_id' => $f->media_id, 'post_id' => $post_id, 'attach' => 1, 'link_type' => $link_type)) .
+                    ['media_id' => $f->media_id, 'post_id' => $post_id, 'attach' => 1, 'link_type' => $link_type]) .
                 '">' .
                 '<img src="images/plus.png" alt="' . __('Attach this file to entry') . '"/>' .
@@ -225,5 +225,5 @@
             if ($select < 2) {
                 // Already set for multiple media selection
-                $act .= form::checkbox(array('medias[]', 'media_' . rawurlencode($file)), $file);
+                $act .= form::checkbox(['medias[]', 'media_' . rawurlencode($file)], $file);
             }
         } else {
@@ -261,5 +261,5 @@
         // Show player if relevant
         if ($file_type[0] == 'audio') {
-            $lst .= '<li>' . dcMedia::audioPlayer($f->type, $f->file_url, $core->adminurl->get("admin.home", array('pf' => 'player_mp3.swf')), null, $core->blog->settings->system->media_flash_fallback, false) . '</li>';
+            $lst .= '<li>' . dcMedia::audioPlayer($f->type, $f->file_url, $core->adminurl->get("admin.home", ['pf' => 'player_mp3.swf']), null, $core->blog->settings->system->media_flash_fallback, false) . '</li>';
         }
 
@@ -321,5 +321,5 @@
             $fav_dirs = $core->auth->user_prefs->interface->media_fav_dirs;
             if (!is_array($fav_dirs)) {
-                $fav_dirs = array();
+                $fav_dirs = [];
             }
             if (!in_array($fav_dir, $fav_dirs) && $_GET['fav'] == 'y') {
@@ -347,5 +347,5 @@
         $last_dirs = $core->auth->user_prefs->interface->media_last_dirs;
         if (!is_array($last_dirs)) {
-            $last_dirs = array();
+            $last_dirs = [];
         }
         if (!in_array($recent_dir, $last_dirs)) {
@@ -383,5 +383,5 @@
 if ($dir && !empty($_FILES['upfile'])) {
     // only one file per request : @see option singleFileUploads in admin/js/jsUpload/jquery.fileupload
-    $upfile = array('name' => $_FILES['upfile']['name'][0],
+    $upfile = ['name' => $_FILES['upfile']['name'][0],
         'type'                 => $_FILES['upfile']['type'][0],
         'tmp_name'             => $_FILES['upfile']['tmp_name'][0],
@@ -389,9 +389,9 @@
         'size'                 => $_FILES['upfile']['size'][0],
         'title'                => html::escapeHTML($_FILES['upfile']['name'][0])
-    );
+    ];
 
     if (!empty($_SERVER['HTTP_X_REQUESTED_WITH'])) {
         header('Content-type: application/json');
-        $message = array();
+        $message = [];
 
         try {
@@ -399,14 +399,14 @@
             $new_file_id = $core->media->uploadFile($upfile['tmp_name'], $upfile['name'], $upfile['title']);
 
-            $message['files'][] = array(
+            $message['files'][] = [
                 'name' => $upfile['name'],
                 'size' => $upfile['size'],
                 'html' => $mediaItemLine($core->media->getFile($new_file_id), 1, $query)
-            );
+            ];
         } catch (Exception $e) {
-            $message['files'][] = array('name' => $upfile['name'],
+            $message['files'][] = ['name' => $upfile['name'],
                 'size'                             => $upfile['size'],
                 'error'                            => $e->getMessage()
-            );
+            ];
         }
         echo json_encode($message);
@@ -486,10 +486,10 @@
     call_user_func($open_f, __('Media manager'), '',
         dcPage::breadcrumb(
-            array(
+            [
                 html::escapeHTML($core->blog->name) => '',
                 __('Media manager')                 => '',
                 __('confirm removal')               => ''
-            ),
-            array('home_link' => !$popup)
+            ],
+            ['home_link' => !$popup]
         )
     );
@@ -519,9 +519,9 @@
 if (!isset($core->media)) {
     $breadcrumb = dcPage::breadcrumb(
-        array(
+        [
             html::escapeHTML($core->blog->name) => '',
             __('Media manager')                 => ''
-        ),
-        array('home_link' => !$popup)
+        ],
+        ['home_link' => !$popup]
     );
 } else {
@@ -532,10 +532,10 @@
         $count      = $query ? count($dir['files']) : 0;
         $breadcrumb = dcPage::breadcrumb(
-            array(
+            [
                 html::escapeHTML($core->blog->name)                                                                    => '',
                 __('Media manager')                                                                                    => $core->adminurl->get('admin.media', $home_params),
                 __('Search:') . ' ' . $q . ' (' . sprintf(__('%s file found', '%s files found', $count), $count) . ')' => ''
-            ),
-            array('home_link' => !$popup)
+            ],
+            ['home_link' => !$popup]
         );
     } else {
@@ -546,9 +546,9 @@
         if ($breadcrumb_media == '') {
             $breadcrumb = dcPage::breadcrumb(
-                array(
+                [
                     html::escapeHTML($core->blog->name) => '',
                     __('Media manager')                 => $core->adminurl->get('admin.media', $home_params)
-                ),
-                array('home_link' => !$popup)
+                ],
+                ['home_link' => !$popup]
             );
         } else {
@@ -557,13 +557,13 @@
 
             $breadcrumb = dcPage::breadcrumb(
-                array(
+                [
                     html::escapeHTML($core->blog->name) => '',
                     __('Media manager')                 => $core->adminurl->get('admin.media', $home_params),
                     $breadcrumb_media                   => ''
-                ),
-                array(
+                ],
+                [
                     'home_link' => !$popup,
                     'hl'        => false
-                )
+                ]
             );
         }
@@ -582,5 +582,5 @@
     $fav_dirs = $core->auth->user_prefs->interface->media_fav_dirs;
     if (!is_array($fav_dirs)) {
-        $fav_dirs = array();
+        $fav_dirs = [];
     }
     foreach ($fav_dirs as $ld) {
@@ -649,5 +649,5 @@
     dcPage::jsModal() .
     dcPage::jsLoad('js/_media.js') .
-    ($core_media_writable ? dcPage::jsUpload(array('d=' . $d)) : ''),
+    ($core_media_writable ? dcPage::jsUpload(['d=' . $d]) : ''),
     $breadcrumb
 );
@@ -738,11 +738,11 @@
 '<div class="files-group">%s</div>' .
 '<p class="hidden">' . $core->formNonce() .
-form::hidden(array('d'), $d) .
-form::hidden(array('q'), $q) .
-form::hidden(array('popup'), $popup) .
-form::hidden(array('select'), $select) .
-form::hidden(array('plugin_id'), $plugin_id) .
-form::hidden(array('post_id'), $post_id) .
-form::hidden(array('link_type'), $link_type) .
+form::hidden(['d'], $d) .
+form::hidden(['q'], $q) .
+form::hidden(['popup'], $popup) .
+form::hidden(['select'], $select) .
+form::hidden(['plugin_id'], $plugin_id) .
+form::hidden(['post_id'], $post_id) .
+form::hidden(['link_type'], $link_type) .
     '</p>';
 
@@ -776,9 +776,9 @@
 '<input type="submit" value="' . __('OK') . '" />' . ' ' .
 '<span class="form-note">' . __('Will search into media filename (including path), title and description') . '</span>' .
-form::hidden(array('popup'), $popup) .
-form::hidden(array('select'), $select) .
-form::hidden(array('plugin_id'), $plugin_id) .
-form::hidden(array('post_id'), $post_id) .
-form::hidden(array('link_type'), $link_type) .
+form::hidden(['popup'], $popup) .
+form::hidden(['select'], $select) .
+form::hidden(['plugin_id'], $plugin_id) .
+form::hidden(['post_id'], $post_id) .
+form::hidden(['link_type'], $link_type) .
     '</p>' .
     '</form>';
@@ -797,8 +797,8 @@
     '<form action="' . $core->adminurl->get("admin.media") . '" method="get" id="filters-form">' .
     '<span class="media-file-mode">' .
-    '<a href="' . $core->adminurl->get("admin.media", array_merge($page_url_params, array('file_mode' => 'grid'))) . '" title="' . __('Grid display mode') . '">' .
+    '<a href="' . $core->adminurl->get("admin.media", array_merge($page_url_params, ['file_mode' => 'grid'])) . '" title="' . __('Grid display mode') . '">' .
     '<img src="images/grid-' . ($file_mode == 'grid' ? 'on' : 'off') . '.png" alt="' . __('Grid display mode') . '" />' .
     '</a>' .
-    '<a href="' . $core->adminurl->get("admin.media", array_merge($page_url_params, array('file_mode' => 'list'))) . '" title="' . __('List display mode') . '">' .
+    '<a href="' . $core->adminurl->get("admin.media", array_merge($page_url_params, ['file_mode' => 'list'])) . '" title="' . __('List display mode') . '">' .
     '<img src="images/list-' . ($file_mode == 'list' ? 'on' : 'off') . '.png" alt="' . __('List display mode') . '" />' .
     '</a>' .
@@ -809,10 +809,10 @@
     form::number('nb_per_page', 0, 999, $nb_per_page) . ' ' .
     '<input type="submit" value="' . __('OK') . '" />' .
-    form::hidden(array('popup'), $popup) .
-    form::hidden(array('select'), $select) .
-    form::hidden(array('plugin_id'), $plugin_id) .
-    form::hidden(array('post_id'), $post_id) .
-    form::hidden(array('link_type'), $link_type) .
-    form::hidden(array('q'), $q) .
+    form::hidden(['popup'], $popup) .
+    form::hidden(['select'], $select) .
+    form::hidden(['plugin_id'], $plugin_id) .
+    form::hidden(['post_id'], $post_id) .
+    form::hidden(['link_type'], $link_type) .
+    form::hidden(['q'], $q) .
     '</p>' .
     '</form>' .
@@ -910,5 +910,5 @@
         '<h4 class="pretty-title">' . sprintf(__('Backup content of %s'), ($d == '' ? '“' . __('Media manager') . '”' : '“' . $d . '”')) . '</h4>' .
         '<p><a class="button submit" href="' . $core->adminurl->get('admin.media',
-            array_merge($page_url_params, array('zipdl' => 1))) . '">' . __('Download zip file') . '</a></p>' .
+            array_merge($page_url_params, ['zipdl' => 1])) . '">' . __('Download zip file') . '</a></p>' .
             '</div>';
     }
@@ -933,5 +933,5 @@
     '<p class="more-info">' . __('Please take care to publish media that you own and that are not protected by copyright.') . '</p>' .
     '<form id="fileupload" action="' . html::escapeURL($core->adminurl->get('admin.media', $page_url_params)) . '" method="post" enctype="multipart/form-data" aria-disabled="false">' .
-    '<p>' . form::hidden(array('MAX_FILE_SIZE'), DC_MAX_UPLOAD_SIZE) .
+    '<p>' . form::hidden(['MAX_FILE_SIZE'], DC_MAX_UPLOAD_SIZE) .
     $core->formNonce() . '</p>' .
         '<div class="fileupload-ctrl"><p class="queue-message"></p><ul class="files"></ul></div>';
@@ -956,5 +956,5 @@
         echo
         '<p class="one-file form-help info">' . __('To send several files at the same time, you can activate the enhanced uploader in') .
-        ' <a href="' . $core->adminurl->get("admin.user.preferences", array('tab' => 'user-options')) . '">' . __('My preferences') . '</a></p>';
+        ' <a href="' . $core->adminurl->get("admin.user.preferences", ['tab' => 'user-options']) . '">' . __('My preferences') . '</a></p>';
     }
 
@@ -967,11 +967,11 @@
     echo
     '<p style="clear:both;">' .
-    form::hidden(array('d'), $d) .
-    form::hidden(array('q'), $q) .
-    form::hidden(array('popup'), $popup) .
-    form::hidden(array('select'), $select) .
-    form::hidden(array('plugin_id'), $plugin_id) .
-    form::hidden(array('post_id'), $post_id) .
-    form::hidden(array('link_type'), $link_type) .
+    form::hidden(['d'], $d) .
+    form::hidden(['q'], $q) .
+    form::hidden(['popup'], $popup) .
+    form::hidden(['select'], $select) .
+    form::hidden(['plugin_id'], $plugin_id) .
+    form::hidden(['post_id'], $post_id) .
+    form::hidden(['link_type'], $link_type) .
         '</p>' .
         '</form>' .
@@ -986,10 +986,10 @@
 form::hidden('rmyes', 1) .
 form::hidden('d', html::escapeHTML($d)) .
-form::hidden(array('q'), $q) .
-form::hidden(array('popup'), $popup) .
-form::hidden(array('select'), $select) .
-form::hidden(array('plugin_id'), $plugin_id) .
-form::hidden(array('post_id'), $post_id) .
-form::hidden(array('link_type'), $link_type) .
+form::hidden(['q'], $q) .
+form::hidden(['popup'], $popup) .
+form::hidden(['select'], $select) .
+form::hidden(['plugin_id'], $plugin_id) .
+form::hidden(['post_id'], $post_id) .
+form::hidden(['link_type'], $link_type) .
 form::hidden('remove', '') .
 $core->formNonce() .
Index: admin/media_item.php
===================================================================
--- admin/media_item.php	(revision 3731)
+++ admin/media_item.php	(revision 3874)
@@ -16,5 +16,5 @@
 $post_id = !empty($_REQUEST['post_id']) ? (integer) $_REQUEST['post_id'] : null;
 if ($post_id) {
-    $post = $core->blog->getPosts(array('post_id' => $post_id));
+    $post = $core->blog->getPosts(['post_id' => $post_id]);
     if ($post->isEmpty()) {
         $post_id = null;
@@ -31,6 +31,6 @@
 $select                = !empty($_REQUEST['select']) ? (integer) $_REQUEST['select'] : 0; // 0 : none, 1 : single media, >1 : multiple medias
 $plugin_id             = isset($_REQUEST['plugin_id']) ? html::sanitizeURL($_REQUEST['plugin_id']) : '';
-$page_url_params       = array('popup' => $popup, 'select' => $select, 'post_id' => $post_id);
-$media_page_url_params = array('popup' => $popup, 'select' => $select, 'post_id' => $post_id, 'link_type' => $link_type);
+$page_url_params       = ['popup' => $popup, 'select' => $select, 'post_id' => $post_id];
+$media_page_url_params = ['popup' => $popup, 'select' => $select, 'post_id' => $post_id, 'link_type' => $link_type];
 
 if ($plugin_id != '') {
@@ -46,8 +46,8 @@
 
 if ($popup) {
-    $open_f  = array('dcPage', 'openPopup');
-    $close_f = array('dcPage', 'closePopup');
+    $open_f  = ['dcPage', 'openPopup'];
+    $close_f = ['dcPage', 'closePopup'];
 } else {
-    $open_f  = array('dcPage', 'open');
+    $open_f  = ['dcPage', 'open'];
     $close_f = function () {
         dcPage::helpBlock('core_media');
@@ -73,5 +73,5 @@
 
     # Prepare directories combo box
-    $dirs_combo = array();
+    $dirs_combo = [];
     foreach ($core->media->getDBDirs() as $v) {
         $dirs_combo['/' . $v] = $v;
@@ -182,5 +182,5 @@
 # Function to get image title based on meta
 $get_img_title = function ($file, $pattern, $dto_first = false, $no_date_alone = false) {
-    $res     = array();
+    $res     = [];
     $pattern = preg_split('/\s*;;\s*/', $pattern);
     $sep     = ', ';
@@ -244,13 +244,13 @@
     ($popup ? dcPage::jsPageTabs($tab) : ''),
     dcPage::breadcrumb(
-        array(
+        [
             html::escapeHTML($core->blog->name) => '',
             __('Media manager')                 => $home_url,
             $breadcrumb                         => ''
-        ),
-        array(
+        ],
+        [
             'home_link' => !$popup,
             'hl'        => false
-        )
+        ]
     )
 );
@@ -321,10 +321,10 @@
             $s_checked = ($s == $media_img_default_size);
             echo '<label class="classic">' .
-            form::radio(array('src'), html::escapeHTML($v), $s_checked) . ' ' .
+            form::radio(['src'], html::escapeHTML($v), $s_checked) . ' ' .
             $core->media->thumb_sizes[$s][2] . '</label><br /> ';
         }
         $s_checked = (!isset($file->media_thumb[$media_img_default_size]));
         echo '<label class="classic">' .
-        form::radio(array('src'), $file->file_url, $s_checked) . ' ' . __('original') . '</label><br /> ';
+        form::radio(['src'], $file->file_url, $s_checked) . ' ' . __('original') . '</label><br /> ';
         echo '</p>';
 
@@ -341,8 +341,8 @@
     '<button type="button" id="media-select-ok" class="submit">' . __('Select') . '</button> ' .
     '<button type="button" id="media-select-cancel">' . __('Cancel') . '</button>' .
-    form::hidden(array('type'), html::escapeHTML($media_type)) .
-    form::hidden(array('title'), html::escapeHTML($file->media_title)) .
-    form::hidden(array('description'), html::escapeHTML($media_desc)) .
-    form::hidden(array('url'), $file->file_url) .
+    form::hidden(['type'], html::escapeHTML($media_type)) .
+    form::hidden(['title'], html::escapeHTML($file->media_title)) .
+    form::hidden(['description'], html::escapeHTML($media_desc)) .
+    form::hidden(['url'], $file->file_url) .
         '</p>';
 
@@ -392,10 +392,10 @@
             $s_checked = ($s == $media_img_default_size);
             echo '<label class="classic">' .
-            form::radio(array('src'), html::escapeHTML($v), $s_checked) . ' ' .
+            form::radio(['src'], html::escapeHTML($v), $s_checked) . ' ' .
             $core->media->thumb_sizes[$s][2] . '</label><br /> ';
         }
         $s_checked = (!isset($file->media_thumb[$media_img_default_size]));
         echo '<label class="classic">' .
-        form::radio(array('src'), $file->file_url, $s_checked) . ' ' . __('original') . '</label><br /> ';
+        form::radio(['src'], $file->file_url, $s_checked) . ' ' . __('original') . '</label><br /> ';
         echo '</p>';
         echo '</div>';
@@ -405,11 +405,11 @@
         '<h3>' . __('Image legend and title') . '</h3>' .
         '<p>' .
-        '<label for="legend1" class="classic">' . form::radio(array('legend', 'legend1'), 'legend',
+        '<label for="legend1" class="classic">' . form::radio(['legend', 'legend1'], 'legend',
             ($media_img_default_legend == 'legend')) .
         __('Legend and title') . '</label><br />' .
-        '<label for="legend2" class="classic">' . form::radio(array('legend', 'legend2'), 'title',
+        '<label for="legend2" class="classic">' . form::radio(['legend', 'legend2'], 'title',
             ($media_img_default_legend == 'title')) .
         __('Title') . '</label><br />' .
-        '<label for="legend3" class="classic">' . form::radio(array('legend', 'legend3'), 'none',
+        '<label for="legend3" class="classic">' . form::radio(['legend', 'legend3'], 'none',
             ($media_img_default_legend == 'none')) .
         __('None') . '</label>' .
@@ -420,15 +420,15 @@
         '<div class="two-boxes">' .
         '<h3>' . __('Image alignment') . '</h3>';
-        $i_align = array(
-            'none'   => array(__('None'), ($media_img_default_alignment == 'none' ? 1 : 0)),
-            'left'   => array(__('Left'), ($media_img_default_alignment == 'left' ? 1 : 0)),
-            'right'  => array(__('Right'), ($media_img_default_alignment == 'right' ? 1 : 0)),
-            'center' => array(__('Center'), ($media_img_default_alignment == 'center' ? 1 : 0))
-        );
+        $i_align = [
+            'none'   => [__('None'), ($media_img_default_alignment == 'none' ? 1 : 0)],
+            'left'   => [__('Left'), ($media_img_default_alignment == 'left' ? 1 : 0)],
+            'right'  => [__('Right'), ($media_img_default_alignment == 'right' ? 1 : 0)],
+            'center' => [__('Center'), ($media_img_default_alignment == 'center' ? 1 : 0)]
+        ];
 
         echo '<p>';
         foreach ($i_align as $k => $v) {
             echo '<label class="classic">' .
-            form::radio(array('alignment'), $k, $v[1]) . ' ' . $v[0] . '</label><br /> ';
+            form::radio(['alignment'], $k, $v[1]) . ' ' . $v[0] . '</label><br /> ';
         }
         echo '</p>';
@@ -439,7 +439,7 @@
         '<h3>' . __('Image insertion') . '</h3>' .
         '<p>' .
-        '<label for="insert1" class="classic">' . form::radio(array('insertion', 'insert1'), 'simple', !$media_img_default_link) .
+        '<label for="insert1" class="classic">' . form::radio(['insertion', 'insert1'], 'simple', !$media_img_default_link) .
         __('As a single image') . '</label><br />' .
-        '<label for="insert2" class="classic">' . form::radio(array('insertion', 'insert2'), 'link', $media_img_default_link) .
+        '<label for="insert2" class="classic">' . form::radio(['insertion', 'insert2'], 'link', $media_img_default_link) .
         __('As a link to the original image') . '</label>' .
             '</p>' .
@@ -453,15 +453,15 @@
         dcPage::message(__("Please note that you cannot insert mp3 files with visual editor."), false);
 
-        $i_align = array(
-            'none'   => array(__('None'), ($media_img_default_alignment == 'none' ? 1 : 0)),
-            'left'   => array(__('Left'), ($media_img_default_alignment == 'left' ? 1 : 0)),
-            'right'  => array(__('Right'), ($media_img_default_alignment == 'right' ? 1 : 0)),
-            'center' => array(__('Center'), ($media_img_default_alignment == 'center' ? 1 : 0))
-        );
+        $i_align = [
+            'none'   => [__('None'), ($media_img_default_alignment == 'none' ? 1 : 0)],
+            'left'   => [__('Left'), ($media_img_default_alignment == 'left' ? 1 : 0)],
+            'right'  => [__('Right'), ($media_img_default_alignment == 'right' ? 1 : 0)],
+            'center' => [__('Center'), ($media_img_default_alignment == 'center' ? 1 : 0)]
+        ];
 
         echo '<p>';
         foreach ($i_align as $k => $v) {
             echo '<label class="classic">' .
-            form::radio(array('alignment'), $k, $v[1]) . ' ' . $v[0] . '</label><br /> ';
+            form::radio(['alignment'], $k, $v[1]) . ' ' . $v[0] . '</label><br /> ';
         }
 
@@ -490,15 +490,15 @@
         '<h3>' . __('Video disposition') . '</h3>';
 
-        $i_align = array(
-            'none'   => array(__('None'), ($media_img_default_alignment == 'none' ? 1 : 0)),
-            'left'   => array(__('Left'), ($media_img_default_alignment == 'left' ? 1 : 0)),
-            'right'  => array(__('Right'), ($media_img_default_alignment == 'right' ? 1 : 0)),
-            'center' => array(__('Center'), ($media_img_default_alignment == 'center' ? 1 : 0))
-        );
+        $i_align = [
+            'none'   => [__('None'), ($media_img_default_alignment == 'none' ? 1 : 0)],
+            'left'   => [__('Left'), ($media_img_default_alignment == 'left' ? 1 : 0)],
+            'right'  => [__('Right'), ($media_img_default_alignment == 'right' ? 1 : 0)],
+            'center' => [__('Center'), ($media_img_default_alignment == 'center' ? 1 : 0)]
+        ];
 
         echo '<p>';
         foreach ($i_align as $k => $v) {
             echo '<label class="classic">' .
-            form::radio(array('alignment'), $k, $v[1]) . ' ' . $v[0] . '</label><br /> ';
+            form::radio(['alignment'], $k, $v[1]) . ' ' . $v[0] . '</label><br /> ';
         }
 
@@ -517,8 +517,8 @@
     '<button type="button" id="media-insert-ok" class="submit">' . __('Insert') . '</button> ' .
     '<button type="button" id="media-insert-cancel">' . __('Cancel') . '</button>' .
-    form::hidden(array('type'), html::escapeHTML($media_type)) .
-    form::hidden(array('title'), html::escapeHTML($file->media_title)) .
-    form::hidden(array('description'), html::escapeHTML($media_desc)) .
-    form::hidden(array('url'), $file->file_url) .
+    form::hidden(['type'], html::escapeHTML($media_type)) .
+    form::hidden(['title'], html::escapeHTML($file->media_title)) .
+    form::hidden(['description'], html::escapeHTML($media_desc)) .
+    form::hidden(['url'], $file->file_url) .
         '</p>';
 
@@ -531,8 +531,8 @@
         '<p>' . __('Make current settings as default') . ' ' .
         '<input class="reset" type="submit" name="save_blog_prefs" value="' . __('OK') . '" />' .
-        form::hidden(array('pref_src'), '') .
-        form::hidden(array('pref_alignment'), '') .
-        form::hidden(array('pref_insertion'), '') .
-        form::hidden(array('pref_legend'), '') .
+        form::hidden(['pref_src'], '') .
+        form::hidden(['pref_alignment'], '') .
+        form::hidden(['pref_insertion'], '') .
+        form::hidden(['pref_legend'], '') .
         $core->adminurl->getHiddenFormFields('admin.media.item', $page_url_params) .
         $core->formNonce() . '</p>' .
@@ -580,7 +580,7 @@
         $strong_link = ($s == $thumb_size) ? '<strong>%s</strong>' : '%s';
         printf($strong_link, '<a href="' . $core->adminurl->get('admin.media.item', array_merge($page_url_params,
-            array("size" => $s, 'tab' => 'media-details-tab'))) . '">' . $core->media->thumb_sizes[$s][2] . '</a> | ');
-    }
-    echo '<a href="' . $core->adminurl->get('admin.media.item', array_merge($page_url_params, array("size" => "o", "tab" => "media-details-tab"))) . '">' . __('original') . '</a>';
+            ["size" => $s, 'tab' => 'media-details-tab'])) . '">' . $core->media->thumb_sizes[$s][2] . '</a> | ');
+    }
+    echo '<a href="' . $core->adminurl->get('admin.media.item', array_merge($page_url_params, ["size" => "o", "tab" => "media-details-tab"])) . '">' . __('original') . '</a>';
     echo '</p>';
 
@@ -606,9 +606,9 @@
 // Show player if relevant
 if ($file_type[0] == 'audio') {
-    echo dcMedia::audioPlayer($file->type, $file->file_url, $core->adminurl->get("admin.home", array('pf' => 'player_mp3.swf')),
+    echo dcMedia::audioPlayer($file->type, $file->file_url, $core->adminurl->get("admin.home", ['pf' => 'player_mp3.swf']),
         null, $core->blog->settings->system->media_flash_fallback);
 }
 if ($file_type[0] == 'video') {
-    echo dcMedia::videoPlayer($file->type, $file->file_url, $core->adminurl->get("admin.home", array('pf' => 'player_flv.swf')),
+    echo dcMedia::videoPlayer($file->type, $file->file_url, $core->adminurl->get("admin.home", ['pf' => 'player_flv.swf']),
         null, $core->blog->settings->system->media_flash_fallback);
 }
@@ -633,9 +633,9 @@
 if (empty($_GET['find_posts'])) {
     echo
-    '<p><a class="button" href="' . $core->adminurl->get('admin.media.item', array_merge($page_url_params, array("find_posts" => 1, "tab" => "media-details-tab"))) . '">' .
+    '<p><a class="button" href="' . $core->adminurl->get('admin.media.item', array_merge($page_url_params, ["find_posts" => 1, "tab" => "media-details-tab"])) . '">' .
     __('Show entries containing this media') . '</a></p>';
 } else {
     echo '<h3>' . __('Entries containing this media') . '</h3>';
-    $params = array(
+    $params = [
         'post_type' => '',
         'from'      => 'LEFT OUTER JOIN ' . $core->prefix . 'post_media PM ON P.post_id = PM.post_id ',
@@ -644,5 +644,5 @@
         "OR post_content_xhtml LIKE '%" . $core->con->escape($file->relname) . "%' " .
         "OR post_excerpt_xhtml LIKE '%" . $core->con->escape($file->relname) . "%' "
-    );
+    ];
 
     if ($file->media_image) {
@@ -728,8 +728,8 @@
 
     if ($file->type == 'application/zip') {
-        $inflate_combo = array(
+        $inflate_combo = [
             __('Extract in a new directory')   => 'new',
             __('Extract in current directory') => 'current'
-        );
+        ];
 
         echo
@@ -763,5 +763,5 @@
     Dont forget to remove call to datepicker in media_item.js
 
-    form::datetime('media_dt', array('default' => html::escapeHTML(dt::str('%Y-%m-%dT%H:%M', $file->media_dt)))) .
+    form::datetime('media_dt', ['default' => html::escapeHTML(dt::str('%Y-%m-%dT%H:%M', $file->media_dt))]) .
      */
     '</p>' .
@@ -778,5 +778,5 @@
     '<form class="clear fieldset" action="' . $core->adminurl->get("admin.media.item") . '" method="post" enctype="multipart/form-data">' .
     '<h4>' . __('Change file') . '</h4>' .
-    '<div>' . form::hidden(array('MAX_FILE_SIZE'), DC_MAX_UPLOAD_SIZE) . '</div>' .
+    '<div>' . form::hidden(['MAX_FILE_SIZE'], DC_MAX_UPLOAD_SIZE) . '</div>' .
     '<p><label for="upfile">' . __('Choose a file:') .
     ' (' . sprintf(__('Maximum size %s'), files::size(DC_MAX_UPLOAD_SIZE)) . ') ' .
Index: admin/plugin.php
===================================================================
--- admin/plugin.php	(revision 3731)
+++ admin/plugin.php	(revision 3874)
@@ -17,9 +17,9 @@
 
 if ($popup) {
-    $open_f  = array('dcPage', 'openPopup');
-    $close_f = array('dcPage', 'closePopup');
+    $open_f  = ['dcPage', 'openPopup'];
+    $close_f = ['dcPage', 'closePopup'];
 } else {
-    $open_f  = array('dcPage', 'open');
-    $close_f = array('dcPage', 'close');
+    $open_f  = ['dcPage', 'open'];
+    $close_f = ['dcPage', 'close'];
 }
 
@@ -85,8 +85,8 @@
     call_user_func($open_f, __('Plugin not found'), '',
         dcPage::breadcrumb(
-            array(
+            [
                 __('System')           => '',
                 __('Plugin not found') => ''
-            ))
+            ])
     );
 
